Foro de Soporte

« Volver a Debian/Ubuntu

Starting DansGuardian: dansguardian failed!

Vista combinada Visión Plana Vista de árbol
toggle
Preparando para reemplazar dansguardian 2.9.9.4-1+lenny1+volatile1 (usando .../dansguardian_2.10.1.1-2_i386.deb) ...
dpkg: la versión `dansguardian_2.8.0.6-antivirus-6.4.4.1-4' tiene una sintaxis errónea: carácter inválido en el número de versión
Desempaquetando el reemplazo de dansguardian ...
Procesando disparadores para man-db ...
Configurando dansguardian (2.10.1.1-2) ...

dpkg: la versión `dansguardian_2.8.0.6-antivirus-6.4.4.1-4' tiene una sintaxis errónea: carácter inválido en el número de versión
DansGuardian has not been configured!
Please edit /etc/dansguardian/dansguardian.conf manually then rerun
this script.
Debian:/home/alambre# nano /etc/dansguardian/dansguardian.conf
Debian:/home/alambre# dansguardian start
Debian:/home/alambre# service dansguardian start
Starting DansGuardian: dansguardian failed!
Debian:/home/alambre# service dansguardian restart
Restarting DansGuardian: Restarting DansGuardian: : failed!
Debian:/home/alambre# nano /etc/dansguardian/dansguardian.conf
Debian:/home/alambre# /etc/init.d/dansguardian restart
Restarting DansGuardian: Restarting DansGuardian: : failed!
Debian:/home/alambre# Restarting DansGuardian: Restarting DansGuardian: : failed!
bash: Restarting: no se encontró la orden
Debian:/home/alambre# sudo dpkg-reconfigure dansguardian
Stopping DansGuardian: dansguardian.

---------------------------------------------------------------------------------------
sources

#
# deb cdrom:[Debian GNU/Linux 5.0.7 _Lenny_ - Official i386 NETINST Binary-1 20101128-01:05]/ lenny main

#deb cdrom:[Debian GNU/Linux 5.0.7 _Lenny_ - Official i386 NETINST Binary-1 20101128-01:05]/ lenny main

#deb http://ftp.ccc.uba.ar/pub/linux/debian/debian/ lenny main
#deb-src http://ftp.ccc.uba.ar/pub/linux/debian/debian/ lenny main

#deb http://security.debian.org/ lenny/updates main
#deb-src http://security.debian.org/ lenny/updates main

#deb http://volatile.debian.org/debian-volatile lenny/volatile main
#deb-src http://volatile.debian.org/debian-volatile lenny/volatile main

deb http://ftp.debian.org/debian/ squeeze main non-free contrib
deb-src http://ftp.debian.org/debian/ squeeze main non-free contrib

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free


--------------------------------------------------------------------------------


Linux Debian 2.6.32-5-686 #1 SMP Wed Jan 12 04:01:41 UTC 2011 i686 GNU/Linux

RE: Starting DansGuardian: dansguardian failed!
Respuesta
24/01/11 8:53 en respuesta a Anónimo.
Sorry no sabia que hacer por algún motivo se me produjo un downgrade después de la ultima actualización del kernel

1#
si el server esta funcionando bien, sino encenderlo con ctrl D (no pasa de dansguardian iniciando)
2#
si se puede desinstalarlo al paquete manualmente
3#
sino buscar el ejecutable y borrarlo (no es del todo necesario pero si es una tarea, en el próximo reinicio va a hacer lo mismo)
4#
ir a /var/backups/ y buscar el archivo de una fecha probable no afectada dpkg.status.x.gz, descomprimirlo como status en
/var/lib/dpkg/ y borrar status-old
5#
editar status y borrar las referencias al paquete
6#
de los siguientes directorios borrar el paquete malo o borrar todos los paquetes (mas seguro)
/var/cache/apt/archives/
/var/cache/apt/archives/partial/
/var/lib/dpkg/info/
/var/lib/dpkg/updates/
7#
ejecutar
dpkg --clear-avail
8#
descargar el paquete bueno (o actualizar los repositorios, instalar el synaptic y instalarlo desde alli)

y ya debería funcionar (sino repetir los pasos)

si ejecutamos los pasos 5#-7# con un paquete instalado, este deja de ser actualizado
Saludos Alambre.

RE: Starting DansGuardian: dansguardian failed!
Respuesta
29/01/11 18:20 en respuesta a Anónimo.
Bueno la solucion anterior es temporal

nuevo update, nuevo problema

la real es es esta

http://forum.ubuntu.ru/index.php?topic=133962

si esta ejecutándose detenerlo

/etc/init.d/dansguardian stop


ver la versión del dansguardian con

dpkg --print-avail dansguardian

en mi caso es

Version: 2.10.1.1-3


ir a /var/lib/dpkg/info

y editar los archivos

dansguardian.postinst
dansguardian.preinst


buscar en ambos el renglon

if dpkg --compare-versions "$2" le "dansguardian_2.8.0.6-antivirus-6.4.4.1-4"; then

y reemplazar por

if dpkg --compare-versions "$2" le "2.10.1.1-3"; then

guardar los cambios

ejecutar

dpkg-reconfigure dansguardian

/etc/init.d/dansguardian start

OK

Saludos Alambre